summaryrefslogtreecommitdiffstats
path: root/games/tmw
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:23:08 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:23:08 +0200
commit48223e87226c335039b507122e0f847bda6298b2 (patch)
tree948e4fe4b9265796117f2ea2809beb1b58bc9ca4 /games/tmw
parent44f32202e0e2077b2b7a66119c21d305c425e673 (diff)
downloadslackbuilds-48223e87226c335039b507122e0f847bda6298b2.tar.gz
slackbuilds-48223e87226c335039b507122e0f847bda6298b2.tar.xz
games/tmw: Updated for version 0.0.26
Diffstat (limited to 'games/tmw')
-rw-r--r--games/tmw/doinst.sh4
-rw-r--r--games/tmw/tmw.SlackBuild39
-rw-r--r--games/tmw/tmw.info6
3 files changed, 24 insertions, 25 deletions
diff --git a/games/tmw/doinst.sh b/games/tmw/doinst.sh
index 34be13eb65..140e332222 100644
--- a/games/tmw/doinst.sh
+++ b/games/tmw/doinst.sh
@@ -1,3 +1,3 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/games/tmw/tmw.SlackBuild b/games/tmw/tmw.SlackBuild
index 911351fb98..068bf58950 100644
--- a/games/tmw/tmw.SlackBuild
+++ b/games/tmw/tmw.SlackBuild
@@ -2,13 +2,13 @@
# Slackware build script for The Mana World
# Written by Erik Hanson erik@slackbuilds.org
-# Modified for version 0.0.23 by ppr:kut <hmwiesinger@gmx.at>
PRGNAM=tmw
-VERSION=0.0.23
+VERSION=0.0.26
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -18,40 +18,39 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -eu
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+w,go-w+r .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- || exit 1
-
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+ --mandir=/usr/man
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+make
+make install-strip DESTDIR=$PKG
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+gzip -9 $PKG/usr/man/man?/*.?
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO docs/FAQ.txt \
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README docs/FAQ.txt \
docs/HACKING.txt docs/items.txt docs/packages.txt docs/progression.txt \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/games/tmw/tmw.info b/games/tmw/tmw.info
index aec8eed7c1..60e5b984bb 100644
--- a/games/tmw/tmw.info
+++ b/games/tmw/tmw.info
@@ -1,8 +1,8 @@
PRGNAM="tmw"
-VERSION="0.0.23"
+VERSION="0.0.26"
HOMEPAGE="http://themanaworld.org/"
-DOWNLOAD="http://downloads.sourceforge.net/themanaworld/tmw-0.0.23.tar.gz"
-MD5SUM="4c4233a3b904dcf2935685e5ec1e6e5a"
+DOWNLOAD="http://downloads.sourceforge.net/themanaworld/tmw-0.0.26.tar.gz"
+MD5SUM="ac8fcc3445f44c08f7f836845dc88948"
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
APPROVED="rworkman"